Bug 1112230 - RFE: add attribute "limited data" to connection and expose it via API/DBUS
Summary: RFE: add attribute "limited data" to connection and expose it via API/DBUS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-23 11:37 UTC by Miroslav Suchý
Modified: 2015-12-03 14:43 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.0.6-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-03 14:43:44 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 741725 None None None Never

Description Miroslav Suchý 2014-06-23 11:37:07 UTC
It would be nice, if you can mark some network connection as 'data are expensive' e.g. 2/3G over GSM, classic modem. Or that 'data are cheap'- e.g. wifi, ADSL, LAN.
And expose this information over API or DBUS. So application can postpone prefetching or caching when connected via 'data expensive' network.

In this thread:
https://lists.fedoraproject.org/pipermail/devel/2014-June/200171.html
and especially:
https://lists.fedoraproject.org/pipermail/devel/2014-June/200198.html
was said that DNF should not cache metadata over slow network. But the truth is that DNF does not have this information. It would be nice, if DNF and other application can get this information from NetworkManager.

Similar behaviour can be seen on Android, where lots of applications have checkbox "sync only on WiFi".

I believe whole range application can benefit from those informations:
DNF, Firefox (password and bookmark syncing), Dropbox, RSS readers, Torrent downloaders etc...

Comment 1 Marcin Juszkiewicz 2014-06-23 11:59:36 UTC
Allow to set transfer limits as well?

Comment 2 Jirka Klimes 2015-05-29 12:18:16 UTC
There is an upstream bug for that now: https://bugzilla.gnome.org/show_bug.cgi?id=741725
and also RHEL bug: bug 1200452

Comment 3 Fedora Admin XMLRPC Client 2015-08-18 14:56:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.